Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class Drotmg

    java.lang.Object
      org.netlib.blas.Drotmg

    public class Drotmg

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *     CONSTRUCT THE MODIFIED GIVENS TRANSFORMATION MATRIX H WHICH ZEROS

     *     THE SECOND COMPONENT OF THE 2-VECTOR  (DSQRT(DD1)*DX1,DSQRT(DD2)*

     *     DY2)**T.
     *     WITH DPARAM(1)=DFLAG, H HAS ONE OF THE FOLLOWING FORMS..
     *
     *     DFLAG=-1.D0     DFLAG=0.D0        DFLAG=1.D0     DFLAG=-2.D0
     *
     *       (DH11  DH12)    (1.D0  DH12)    (DH11  1.D0)    (1.D0  0.D0)
     *     H=(          )    (          )    (          )    (          )
     *       (DH21  DH22),   (DH21  1.D0),   (-1.D0 DH22),   (0.D0  1.D0).
     *     LOCATIONS 2-4 OF DPARAM CONTAIN DH11, DH21, DH12, AND DH22
     *     RESPECTIVELY. (VALUES OF 1.D0, -1.D0, OR 0.D0 IMPLIED BY THE
     *     VALUE OF DPARAM(1) ARE NOT STORED IN DPARAM.)
     *
     *     THE VALUES OF GAMSQ AND RGAMSQ SET IN THE DATA STATEMENT MAY BE
     *     INEXACT.  THIS IS OK AS THEY ARE ONLY USED FOR TESTING THE SIZE
     *     OF DD1 AND DD2.  ALL ACTUAL SCALING OF DATA IS DONE USING GAM.
     *
     *
     *  Arguments
     *  =========
     *
     *  DD1    (input/output) DOUBLE PRECISION
     *
     *  DD2    (input/output) DOUBLE PRECISION
     *
     *  DX1    (input/output) DOUBLE PRECISION
     *
     *  DY1    (input) DOUBLE PRECISION
     *
     *  DPARAM (input/output)  DOUBLE PRECISION array, dimension 5
     *     DPARAM(1)=DFLAG
     *     DPARAM(2)=DH11
     *     DPARAM(3)=DH21
     *     DPARAM(4)=DH12
     *     DPARAM(5)=DH22
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Field Summary
`static double` | `gam`
`static double` | `gamsq`
`static double` | `one`
`static double` | `rgamsq`
`static double` | `two`
`static double` | `zero`

Constructor Summary
`Drotmg()`

Method Summary
`static void` | `drotmg(doubleW dd1, doubleW dd2, doubleW dx1, double dy1, double[] dparam, int _dparam_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zero

    public static double zero

### one

    public static double one

### two

    public static double two

### gam

    public static double gam

### gamsq

    public static double gamsq

### rgamsq

    public static double rgamsq

Constructor Detail

### Drotmg

    public Drotmg()

Method Detail

### drotmg

    public static void drotmg(doubleW dd1,
                              doubleW dd2,
                              doubleW dx1,
                              double dy1,
                              double[] dparam,
                              int _dparam_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD